Virtualbox 5.1 upgrade SOLVED

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help

LMDE 2 support ends on 1-1-2019
Post Reply
mike acker
Level 6
Level 6
Posts: 1419
Joined: Wed Jul 31, 2013 6:29 pm
Location: Kalamazoo, MI

Virtualbox 5.1 upgrade SOLVED

Post by mike acker » Mon Mar 27, 2017 9:36 am

apparently, to upgrade to Virtualbox 5.1 we need to do a remove and re-install,--

So,,-- can I do it this way:

1. make sure i have the 5.1 .deb package in downloads/vbox51 from Oracle;

2. export the virtual guest machine using the existing V-Box

2. use apt-get remove to remove virtual box, thusly:

Code: Select all

sudo apt-get remove --purge virtualbox  
sudo apt-get remove --purge virtualbox-dkms 
REBOOT

3. use sudo dpkg -i to install the 5.1 deb file

Code: Select all

cd ~/Downloads/vbox51
sudo dpgk -i *.deb
4. import the guest machine saved in step (2).
Last edited by mike acker on Tue Mar 28, 2017 1:01 pm, edited 1 time in total.
¡Viva la Resistencia!

User avatar
Pierre
Level 17
Level 17
Posts: 7707
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Virtualbox 5.1 upgrade

Post by Pierre » Mon Mar 27, 2017 10:30 am

when running my VB v5.0.x one day,
it gave the usual notice about some upgrade being available,
but, this time, it was for v5.1 instead of the usual v5.0.x as it always was.

so that link was followed, as always, and the v5.1 was obtained.

then the old v5.0.x was removed with Package Manager AKA Synaptic.
& then then newly obtained v5.1 was installed .. ..

all was sweet & everything was still in-place:
ie: I'd not removed any existing VBs & they were still in-place & they still worked A.ok.

& Yes - - you do have to remove the v5.0.x or else the new v5.1 won't install .. .. ..
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

User avatar
Flemur
Level 16
Level 16
Posts: 6291
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Virtualbox 5.1 upgrade

Post by Flemur » Mon Mar 27, 2017 10:59 am

mike acker wrote:make sure i have the 5.1 .deb package in downloads/vbox51 from Oracle;
...
sudo dpgk -i *.deb.
Did you get one .deb file, or more than one?

IIRC my process for upgrading to a 5.1 from Oracle was what you described; I only downloaded
virtualbox-5.1_5.1.12-112440~Ubuntu~xenial_amd64.deb (**edit: was months ago)
the rest are from the repos (and have different version numbers).
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: Virtualbox 5.1 upgrade

Post by Cosmo. » Mon Mar 27, 2017 11:08 am

mike acker wrote:2. export the virtual guest machine using the existing V-Box

...

4. import the guest machine saved in step (2).
Not really needed. VMs and stored VB-settings get preserved and will get reused.

But you should have quitted all existing VMs before upgrading - that means not closed them to a saved state; in this case there is a chance, that you cannot reopen them without discarding the saved state at first.

o-l-d
Level 3
Level 3
Posts: 116
Joined: Sun Sep 25, 2016 1:19 am

Re: Virtualbox 5.1 upgrade

Post by o-l-d » Mon Mar 27, 2017 11:20 am

Remember to install the correct extensions pack for the version you are using. They offer more features and resolve video and hardware compatibility.

daret
Level 2
Level 2
Posts: 79
Joined: Sun Sep 30, 2012 8:42 am

Re: Virtualbox 5.1 upgrade

Post by daret » Mon Mar 27, 2017 11:37 am


mike acker
Level 6
Level 6
Posts: 1419
Joined: Wed Jul 31, 2013 6:29 pm
Location: Kalamazoo, MI

Re: Virtualbox 5.1 upgrade

Post by mike acker » Mon Mar 27, 2017 1:26 pm

Pierre wrote:when running my VB v5.0.x one day,
it gave the usual notice about some upgrade being available,
but, this time, it was for v5.1 instead of the usual v5.0.x as it always was.

so that link was followed, as always, and the v5.1 was obtained.

then the old v5.0.x was removed with Package Manager AKA Synaptic.
& then then newly obtained v5.1 was installed .. ..

all was sweet & everything was still in-place:
ie: I'd not removed any existing VBs & they were still in-place & they still worked A.ok.

& Yes - - you do have to remove the v5.0.x or else the new v5.1 won't install .. .. ..

Cool/Good News!


what should work then is

Code: Select all

sudo apt-get remove virtualbox
and then install the .deb
¡Viva la Resistencia!

mike acker
Level 6
Level 6
Posts: 1419
Joined: Wed Jul 31, 2013 6:29 pm
Location: Kalamazoo, MI

Re: Virtualbox 5.1 upgrade

Post by mike acker » Tue Mar 28, 2017 1:00 pm

noting that the 5.1.18 update won't install as an update to the 5.0 version,--

First, I determined to remove virtualbox. just apt-get remove virtualbox doesn't work. I had to find out the package name that was installed:

Code: Select all

dpkg --get-selections | grep -v deinstall
this revealed, among much other stuff :
virtualbox-5.0 install
virtualbox-guest-dkms install
virtualbox-guest-utils install
virtualbox-guest-x11 install
virtualbox-nonfree install
working from that i used this command to remove virtualbox-5.0

Code: Select all

$ sudo apt-get remove virtualbox-5.0
following that i switched to the directory where i have the .deb that Virtualbox downloaded using the link provided by the earlier version:
virtualbox-5.1_5.1.18-114002~Ubuntu~trusty_amd64.deb
from there I installed the new .deb

Code: Select all

sudo dpkg -i *.deb
( I made sure the one deb was the only one in the directory i was working from )

this went normally; after that, when i started VirtualBox I was prompted for the EXTENSIONS. I just followed the prompts and let it install the Extensions.

after this my existing guest machine ( Win8.1 ) fired up -- and died. I started it again and this time it let me go to DEVICES and INSERT the Guest Additions. With the Guest Additions in the (pseduo) CD drive I was able to install the Guest additions. This ended requiring a reboot of the guest machine.

however at this point I have Photoshop/Elements running in the Guest VM,-- so -- it looks like I have Crossed the Rubicon and become a VB 5.1 user.
¡Viva la Resistencia!

krustybaguette
Level 3
Level 3
Posts: 134
Joined: Thu Mar 31, 2011 8:24 am

needRe: Virtualbox 5.1 upgrade SOLVED

Post by krustybaguette » Sat Jan 20, 2018 2:28 pm

January 2018 prompting to install v. 5.2.6. Warning about breaking 5.1.18 installation suggests that I must completely remove the old version before installing the new version plus its extensions. Is this a correct asuumption?

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: Virtualbox 5.1 upgrade SOLVED

Post by Cosmo. » Sun Jan 21, 2018 6:58 am

Yes, upgrading VB to another major version (where in x.y.z x or y are different), makes an uninstall of the old version necessary. The extension pack should not be a problem. As soon as you launch the BN manager for the new version the first time you will get a prompt to update it.

Don't forget, that also the guest additions inside of the guests have to get updated afterwards. That can in every case be done on top of the old ones.

User avatar
Pierre
Level 17
Level 17
Posts: 7707
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Virtualbox 5.1 upgrade SOLVED

Post by Pierre » Sun Jan 21, 2018 9:18 am

it does seem that the latest upgrade - - virtualbox-5.2_5.2.6-120293~Ubuntu~trusty_i386.deb,
and another one - - virtualbox-5.2_5.2.6-120293~Debian~jessie_i386.deb that is Debian based,
& are now both being offered.

since I've not had any chance to check these upgrade(s) as yet,
as it seems to require the removal of the older version . .
& there does seem to be a support file, version number issues, as well.

it most probably will require the removal of the v5.1xx series, I'm assuming ATM.
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

bryanmc
Level 1
Level 1
Posts: 43
Joined: Fri Sep 23, 2016 3:43 pm

Re: Virtualbox 5.1 upgrade SOLVED

Post by bryanmc » Sun Jan 21, 2018 10:23 am

I did the 5.1.x to 5.2.x upgrade yesterday on my Debian Stretch host. I did it from the stretch backports repo via apt-get install. It returned 1 pkg to be removed (5.1) and one to be installed (5.2). I let it do its thing and the install came out fine. I did have to dl and install the 5.2 extension pack from the oracle site before my vm's would run, but other than that it was painless.

Post Reply

Return to “Newbie Questions”